import { world, system } from '@minecraft/server';

const ChainmailarmorSlots = [
    { item: 'chainmail_helmet', slot: 'head' },
    { item: 'chainmail_chestplate', slot: 'chest' },
    { item: 'chainmail_leggings', slot: 'legs' },
    { item: 'chainmail_boots', slot: 'feet' }
];

system.runInterval(() => {
    for (const armor of ChainmailarmorSlots) {
        for (const effect of ldeffect) {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={defence=..1},hasitem={item=${armor.item}, location=slot.armor.${armor.slot}}] ${effect}`
            ).catch(() => {});
        }
    }
}, 0);



const GoldenarmorSlots = [
    { item: 'golden_helmet', slot: 'head' },
    { item: 'golden_chestplate', slot: 'chest' },
    { item: 'golden_leggings', slot: 'legs' },
    { item: 'golden_boots', slot: 'feet' }
];

system.runInterval(() => {
    for (const armor of GoldenarmorSlots) {
        for (const effect of ldeffect) {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={defence=..4},hasitem={item=${armor.item}, location=slot.armor.${armor.slot}}] ${effect}`
            ).catch(() => {});
        }
    }
}, 0);




const ldeffect = [
    'slowness 1 10 true',
    'blindness 1 10 true',
    'weakness 1 10 true',
    'mining_fatigue 1 10 true'
];

const IronarmorSlots = [
    { item: 'iron_helmet', slot: 'head' },
    { item: 'iron_chestplate', slot: 'chest' },
    { item: 'iron_leggings', slot: 'legs' },
    { item: 'iron_boots', slot: 'feet' }
];

system.runInterval(() => {
    for (const armor of IronarmorSlots) {
        for (const effect of ldeffect) {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={defence=..7},hasitem={item=${armor.item}, location=slot.armor.${armor.slot}}] ${effect}`
            ).catch(() => {});
        }
    }
}, 0);



const DiamondarmorSlots = [
    { item: 'diamond_helmet', slot: 'head' },
    { item: 'diamond_chestplate', slot: 'chest' },
    { item: 'diamond_leggings', slot: 'legs' },
    { item: 'diamond_boots', slot: 'feet' }
];

system.runInterval(() => {
    for (const armor of DiamondarmorSlots) {
        for (const effect of ldeffect) {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={defence=..12},hasitem={item=${armor.item}, location=slot.armor.${armor.slot}}] ${effect}`
            ).catch(() => {});
        }
    }
}, 0);



const NetheritearmorSlots = [
    { item: 'netherite_helmet', slot: 'head' },
    { item: 'netherite_chestplate', slot: 'chest' },
    { item: 'netherite_leggings', slot: 'legs' },
    { item: 'netherite_boots', slot: 'feet' }
];

system.runInterval(() => {
    for (const armor of NetheritearmorSlots) {
        for (const effect of ldeffect) {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={defence=..16},hasitem={item=${armor.item}, location=slot.armor.${armor.slot}}] ${effect}`
            ).catch(() => {});
        }
    }
}, 0);





