import { world, system } from '@minecraft/server';

const gatheringEffects = [
    'slowness 1 10 true',
    'blindness 1 10 true',
    'weakness 1 10 true',
    'mining_fatigue 1 10 true'
];

const axeTypes = [
    { type: 'wooden', gathering: 1 },
    { type: 'stone', gathering: 3 },
    { type: 'iron', gathering: 7 },
    { type: 'golden', gathering: 4 },
    { type: 'diamond', gathering: 12 },
    { type: 'netherite', gathering: 16 }
];

axeTypes.forEach(axe => {
    system.runInterval(() => {
        gatheringEffects.forEach(effect => {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={gathering=..${axe.gathering}},hasitem={item=${axe.type}_axe, location=slot.weapon.mainhand}] ${effect}`
            ).catch(() => {});
        });
    }, 0);
});
